TRACE_BLOCK_RQ_REMAP(9)

NAME
trace_block_rq_remap - map request for a block operation request

SYNOPSIS

void trace_block_rq_remap(struct request_queue * q, struct request * rq, dev_t dev, sector_t from);

ARGUMENTS

q
    queue holding the operation

rq
    block IO operation request

dev
    device for the operation

from
    original sector for the operation

DESCRIPTION

The block operation request rq in q has been remapped. The block operation request rq holds the current information and from hold the original sector.

AUTHORS

Jason Baron <jbaron@redhat.com>
    Author.

William Cohen <wcohen@redhat.com>
    Author.

COPYRIGHT